pylint:
  image: python:3.6
  script:
    - python3 -m pip install pylint
    - python3 -m pip install -r requirements.txt
    - pylint --version
    - pylint app
    - pylint test

unittest:
  image: python:3.6
  script:
    - python3 -m pip install coverage
    - python3 -m pip install -r requirements.txt
    - coverage run --source app -m test
    - coverage report
